> ## Documentation Index
> Fetch the complete documentation index at: https://upstash-fix-issues-on-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Team

> This endpoint creates a new team.

## Request Parameters

<ParamField body="team_name" type="string" required>
  Name of the new team
</ParamField>

<ParamField body="copy_cc" type="boolean" required>
  Whether to copy existing credit card information to team or not\ Options:
  `true` or `false`
</ParamField>

## Response Parameters

<ResponseField name="team_id" type="string">
  ID of the created team
</ResponseField>

<ResponseField name="team_name" type="string">
  Name of the created team
</ResponseField>

<ResponseField name="copy_cc" type="boolean">
  Whether creditcard information added to team during creation or not
</ResponseField>

<RequestExample>
  ```shell curl
  curl -X POST \
    https://api.upstash.com/v2/team \
    -u 'EMAIL:API_KEY' \
    -d '{"team_name":"myteam","copy_cc":true}'
  ```

  ```python Python
  import requests

  data = '{"team_name":"myteam","copy_cc":true}'

  response = requests.post('https://api.upstash.com/v2/team', data=data, auth=('EMAIL', 'API_KEY'))
  response.content
  ```

  ```go Go
  client := &http.Client{}
  var data = strings.NewReader(`{
      "team_name":"myteam",
      "copy_cc":true
  }`)
  req, err := http.NewRequest("POST", "https://api.upstash.com/v2/team", data)
  if err != nil {
      log.Fatal(err)
  }
  req.SetBasicAuth("email", "api_key")
  resp, err := client.Do(req)
  if err != nil {
      log.Fatal(err)
  }
  bodyText, err := ioutil.ReadAll(resp.Body)
  if err != nil {
      log.Fatal(err)
  }
  fmt.Printf("%s\n", bodyText);
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK
  {
      "team_id": "75b471f2-15a1-47b0-8ce5-12a57682bfc9",
      "team_name": "test_team_name_2",
      "copy_cc": true
  }
  ```
</ResponseExample>
